summaryrefslogtreecommitdiffstats
path: root/debian/local/irkerhook-git
diff options
context:
space:
mode:
authorDaniel Baumann <daniel.baumann@progress-linux.org>2024-05-06 00:50:22 +0000
committerDaniel Baumann <daniel.baumann@progress-linux.org>2024-05-06 00:50:22 +0000
commit4283a547939c204787a35239ff31758cccf2674f (patch)
tree961e298be9b22e950ab392515aa18ebb3de9bcd9 /debian/local/irkerhook-git
parentAdding upstream version 2.18+dfsg. (diff)
downloadirker-4283a547939c204787a35239ff31758cccf2674f.tar.xz
irker-4283a547939c204787a35239ff31758cccf2674f.zip
Adding debian version 2.18+dfsg-3.debian/2.18+dfsg-3debian
Signed-off-by: Daniel Baumann <daniel.baumann@progress-linux.org>
Diffstat (limited to 'debian/local/irkerhook-git')
-rwxr-xr-xdebian/local/irkerhook-git17
1 files changed, 17 insertions, 0 deletions
diff --git a/debian/local/irkerhook-git b/debian/local/irkerhook-git
new file mode 100755
index 0000000..1f746e8
--- /dev/null
+++ b/debian/local/irkerhook-git
@@ -0,0 +1,17 @@
+#!/bin/sh
+
+set -e
+
+if [ -z "$(git config --get irker.project)" -a -z "$(git config --get irker.template)" ]
+then
+ echo "CONFIGURATION ERROR: Neither irker.project nor irker.template defined"
+ echo "NOT sending IRC notification"
+ exit 0
+fi
+
+echo "sending IRC notification"
+
+while read old new refname
+do
+ irkerhook --refname=${refname} $(git rev-list --reverse ${old}..${new})
+done